> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/manual_tax_calculators.md).

# Manual tax calculators

Configure the manual tax calculator by creating one or more associated [tax rules](/core-api-reference/tax_rules.md). The rules will apply the related tax rate to the matching orders.

{% hint style="info" %}
Manual tax calculators support **location-based** tax rules only. For any other use case please consider creating an [external tax calculator](/core-api-reference/external_tax_calculators.md) that handles your own custom tax calculation logic or leveraging our out-of-the-box integrations with [Avalara](/core-api-reference/avalara_accounts.md) and [TaxJar](/core-api-reference/taxjar_accounts.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/manual_tax_calculators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
